import z from "zod"

const entryResolveSchema = z.object({
  items: z.array(
    z.object({
      system: z.object({
        content_type_uid: z.string(),
        uid: z.string(),
      }),
    })
  ),
  total: z.number(),
})

export const validateEntryResolveSchema = z.object({
  all_account_page: entryResolveSchema,
  all_content_page: entryResolveSchema,
  all_loyalty_page: entryResolveSchema,
  all_current_blocks_page: entryResolveSchema,
})
